Subject: [bug#52723] [PATCH] gnu: maven: Update to 3.8.4.

From: Björn Höfling <[email-masked]>
Date: Wed, 2 Feb 2022 23:41:27 +0100

Hi Julien,

On Tue, 21 Dec 2021 23:42:31 +0100
Julien Lepiller <[email-masked]> wrote:

> Hi guix!
> 
> This series updates maven to the latest version. I was able to find an
> update order for most of the changes, but the last patch still has to
> update three packages at the same time, and changes inherited packages
> to fix them.

This is an impressive patch, thanks.

It's still compiling on my side, so I haven't tested the Maven
executable yet, but from looking with the naked eye at the patches, it
looks good to me, with the following remarks:

Of cause, inputs should be written now in the "new" format, as lists
instead of maps.

While linting, I found two possible updates:

[email-masked]: can be upgraded to 3.4.1
[email-masked]: can be upgraded to 1.3.2

I haven't tested if these minor upgrades would break anything of would
be possible without any hassle.

The linter had also some warnings about clashes:

[email-masked]: propagated inputs apache-commons-parent-pom@52 and apache-commons-parent-pom@39 collide
[email-masked]: propagated inputs [email-masked] and plexus-parent-pom@8 collide
[email-masked]: propagated inputs [email-masked] and [email-masked] collide
[email-masked]: propagated inputs /gnu/store/lfqsagcsir9gywp60b1k3lcp6vgyzkaw-maven-wagon-provider-api-3.4.3 and /gnu/store/blhmwm974q97hxxkak9419sm6kscs1yv-maven-wagon-provider-api-3.4.3 collide

I'm not yet sure where they come from, probably somewhere in the
dependency tree?

I will report back when maven is finished compiled.

Thanks,

Björn